%define fakeroot 0.7.8
Name: fakechroot
Version: 0.2.6
Release: alt1

Summary: Run a command in an environment faking root privileges for file manipulation
License: GPL
Group: Development/Other
Url: http://packages.debian.org/%name

Source: ftp://ftp.debian.org/debian/pool/main/f/%name/%{name}_%version+%fakeroot.tar.gz
Patch1: fakeroot-0.7.3-alt-test.patch
Patch2: fakeroot-0.8.2-alt-ugid.patch

BuildPreReq: sharutils

# Automatically added by buildreq on Wed Jun 16 2004
BuildRequires: gcc-c++ gcc-g77 libstdc++-devel

%description
fakeroot runs a command in an environment were it appears to have root
privileges for file manipulation.  This is useful for allowing users to
createarchives (tar, ar, .rpm etc.) with files in them with root
permissions/ownership.  Without fakeroot one would have to have root
privileges to create the constituent files of the archives with the
correct permissions and ownership, and then pack them up, or one would
have to construct the archives directly, without using the archiver.

%package -n lib%name
Summary: libfakechroot allow fake chroot() for fakeroot environment.
Group: Development/Other
Url: http://packages.debian.org/%name
Requires: fakeroot

%description -n lib%name
libfakechroot allow fake chroot() for fakeroot environment.


%prep
%setup -q -n %{name}-%version+%fakeroot
%patch1 -p1
%patch2 -p1

%build
%__grep -FZrl sys: test |
	xargs -r0 %__subst -p "s/sys:/bin:/g" --
%__grep -FZrl :sys test |
	xargs -r0 %__subst -p "s/:sys/:bin/g" --
libtoolize --force -c
aclocal
automake -a -c
autoconf

%configure --libdir=%_libdir/libfakeroot --enable-static=no
%make_build
%{!?__buildreqs:%{!?_without_check:%{!?_disable_check:%make_build check}}}

%install
%makeinstall libdir=%buildroot%_libdir/libfakechroot
find %buildroot%_libdir -type f -name \*.la -print -delete

%files -n lib%name
%_libdir/libfakechroot/*.so.*

%changelog
* Wed Jun 16 2004 Anton Farygin <rider@altlinux.ru> 0.2.6-alt1
- first build for Sisyphus
